//
//  MoreTimeScreen.swift
//  Sequoia
//
//  Created by Victor on 09/10/2024.
//

import SwiftUI

struct MoreTimeScreen: View {
    @ObservedObject var viewModel: PromotionalScreenViewModel
    @State private var navigateToNext = false

    var body: some View {
        VStack(spacing: 16) {
            VStack(spacing: 32) {
                SQText("Profitez de plus de temps pour vous faire votre opinion.")
                    .sqSize(20)
                    .sqFont(.bold)
                    .multilineTextAlignment(.center)
                VStack {
                    SQText("+ X jours")
                        .sqSize(32)
                        .sqFont(.bold)
                        .foregroundStyle(Color.sqBlue(50))
                    SQText("d’essai supplémentaires pour découvrir toutes les fonctionnalités de l’abonnement Premier.")
                        .multilineTextAlignment(.center)
                }
                SQButton("Je prolonge ma période d’essai") {
                    navigateToNext = true
                }
                .sqColorScheme(.blue)
            }
            .padding(16)
            .background(Color.sqBlue(10))
            .cornerRadius(8)

            SQButton("Non merci, je souhaite résilier") {
                navigateToNext = true
            }
            .sqButtonType(.glass)
            .sqTextSize(13)
        }
        .navigationDestination(isPresented: $navigateToNext) {
            if let screen = viewModel.nextPromotionalScreen {
                viewModel.getPromotionalScreenNew(for: screen)
            } else {
                ResiliationConfirmationScreen()
            }
        }
        .sqNavigationBar(title: "Ne partez pas !")
        .padding()
    }
}

#Preview {
    MoreTimeScreen(viewModel: PromotionalScreenViewModel())
}
